org.apache.ignite.internal.visor.compute

## Class VisorComputeToggleMonitoringTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<IgniteBiTuple<String,Boolean>,Boolean,Boolean>
  - - org.apache.ignite.internal.visor.compute.VisorComputeToggleMonitoringTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<IgniteBiTuple<String,Boolean>>,Boolean>

    @GridInternal
    public class VisorComputeToggleMonitoringTask
    extends VisorMultiNodeTask<IgniteBiTuple<String,Boolean>,Boolean,Boolean>

Task to run gc on nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorComputeToggleMonitoringTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.compute.VisorComputeToggleMonitoringTask.VisorComputeToggleMonitoringJob` `job(IgniteBiTuple<String,Boolean> arg)`
`protected Boolean` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorComputeToggleMonitoringTask

    public VisorComputeToggleMonitoringTask()

### Method Detail

#### reduce0

    @Nullable
    protected Boolean reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<IgniteBiTuple<String,Boolean>,Boolean,Boolean>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

#### job

    protected org.apache.ignite.internal.visor.compute.VisorComputeToggleMonitoringTask.VisorComputeToggleMonitoringJob job(IgniteBiTuple<String,Boolean> arg)

Specified by:
  `job` in class `VisorMultiNodeTask<IgniteBiTuple<String,Boolean>,Boolean,Boolean>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017